# namaduc - distributed namazu client
#
# $Id: namaduc.rb,v 1.4 2000/05/31 07:45:28 mas Exp $
# Copyright (c) 2000 Masatoshi SEKI
#
# namaduc.rb is copyrighted free software by Masatoshi SEKI.
# You can redistribute it and/or modify it under the same term as Ruby.

require 'drb/drb'

there = ARGV.shift
unless there
  $stderr.puts("usage: #{$0} <server_uri> <keyword...>")
  exit 1
end

DRb.start_service()
ro = DRbObject.new(nil, there)

docs, hits, ref_hits = ro.query(ARGV)
p docs
p hits
p ref_hits

puts 

r = ro.search(ARGV, "late")
p r.result(%w(uri namazu.time))

=begin
ro.search(ARGV, "late") do |r|		# GC safe!
  p r.result(%w(uri))
  r.result(%w(uri summary), nil).each do |rec|
    puts rec[0]
    puts rec[1]
  end
  nil
end
=end
